# Fluent Svelte

> Warning: This project is still in alpha stages. It is NOT production ready and heavily undocumented. Expect regular breaking changes.

### What is this?

`fluent-svelte` is a [Svelte](http://svelte.dev/) component UI library that emulates the look and feel of [Microsoft's Windows UI Controls](https://github.com/microsoft/microsoft-ui-xaml/) which conform to the Fluent Design System.

### Features

-   [SvelteKit](https://kit.svelte.dev/) and SSR Compatible
-   [TypeScript](https://typescriptlang.org/) and type definitions are supported, but optional.
-   Full RTL support with no additional configuration.
-   All components are accessible according to [WAI-ARIA](https://www.w3.org/WAI/standards-guidelines/aria/) standards.
-   Theming support using CSS custom properties.
-   Minimal third-party dependency usage.
-   Reduced motion support.
-   Easy setup. Just install the library, add some base styles, and you're ready to go.
-   Minimal CSS overhead. Styles are included and scoped alongside their respective components, only bundling the CSS you need.
